﻿using Microsoft.WindowsAzure.Storage;
using Microsoft.WindowsAzure.Storage.Blob;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MyLogicApp.AcceptanceTests.Utilities
{
    public class AzureBlobStorageHelper
    {
        private string _connectionString;
        public AzureBlobStorageHelper(string connectionString)
        {
            _connectionString = connectionString;
        }

        public void EmptyContainer(string containerName)
        {                       
            var storageAccount = CloudStorageAccount.Parse(_connectionString);
            var blobClient = storageAccount.CreateCloudBlobClient();
            var container = blobClient.GetContainerReference(containerName);
            var blobs = container.ListBlobs();
            foreach (CloudBlockBlob blob in blobs)
            {
                var blobRef = container.GetBlockBlobReference(blob.Name);
                blobRef.Delete();
            }
        }

        public bool Exists(string containerName)
        {            
            var storageAccount = CloudStorageAccount.Parse(_connectionString);
            var blobClient = storageAccount.CreateCloudBlobClient();
            var container = blobClient.GetContainerReference(containerName);
            return container.Exists();
        }

        public List<string> GetBlobList(string containerName)
        {
            var blobList = new List<string>();
            var storageAccount = CloudStorageAccount.Parse(_connectionString);
            var blobClient = storageAccount.CreateCloudBlobClient();
            var container = blobClient.GetContainerReference(containerName);
            container.CreateIfNotExists();
            var blobs = container.ListBlobs();
            foreach(var blob in blobs)
            {
                blobList.Add(blob.Uri.ToString());
            }
            return blobList;
        }
    }
}
