﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MyLogicApp.AcceptanceTests.Utilities.LogicAppDiagnostics
{
    public class DiagnosticsConfig
    {
        public static string EventHubConnectionString
        {
            get
            {
                return ConfigurationManager.ConnectionStrings["LogicAppDiagnostics-EventHubConnection"].ConnectionString;
            }
        }
        public static string EventHubName
        {
            get
            {
                return ConfigurationManager.AppSettings["LogicAppDiagnostics-EventHub"];
            }
        }

        public static string StorageAccountName
        {
            get
            {
                return ConfigurationManager.AppSettings["LogicAppDiagnostics-EventProcessorHost-StorageAccountName"];
            }
        }

        public static string StorageAccountKey
        {
            get
            {
                return ConfigurationManager.AppSettings["LogicAppDiagnostics-EventProcessorHost-StorageAccountKey"];
            }
        }

        public static string StorageConnectionString
        {
            get
            {
                return string.Format("DefaultEndpointsProtocol=https;AccountName={0};AccountKey={1}", StorageAccountName, StorageAccountKey);
            }
        }

    }
}
